Module java.prefs
Package java.util.prefs

## Class InvalidPreferencesFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.prefs.InvalidPreferencesFormatException

All Implemented Interfaces:
  `Serializable`

    public class InvalidPreferencesFormatException
    extends Exception

Thrown to indicate that an operation could not complete because the input did not conform to the appropriate XML document type for a collection of preferences, as per the `Preferences` specification.

Since:
  1.4
See Also:
  `Preferences`, Serialized Form

### Constructor Summary

Constructors
`InvalidPreferencesFormatException​(String message)` Constructs an InvalidPreferencesFormatException with the specified detail message.
`InvalidPreferencesFormatException​(String message, Throwable cause)` Constructs an InvalidPreferencesFormatException with the specified detail message and cause.
`InvalidPreferencesFormatException​(Throwable cause)` Constructs an InvalidPreferencesFormatException with the specified cause.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidPreferencesFormatException

    public InvalidPreferencesFormatException​(Throwable cause)

Constructs an InvalidPreferencesFormatException with the specified cause.

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method).

#### InvalidPreferencesFormatException

    public InvalidPreferencesFormatException​(String message)

Constructs an InvalidPreferencesFormatException with the specified detail message.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

#### InvalidPreferencesFormatException

    public InvalidPreferencesFormatException​(String message,
                                             Throwable cause)

Constructs an InvalidPreferencesFormatException with the specified detail message and cause.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method).